import request from '@/utils/request'

export function listValue(query) {
  return request({
    url: '/homepage/value/list',
    method: 'get',
    params: query
  })
}

export function getValue(valueId) {
  return request({
    url: '/homepage/value/' + valueId,
    method: 'get'
  })
}

export function addValue(data) {
  return request({
    url: '/homepage/value',
    method: 'post',
    data: data
  })
}

export function updateValue(data) {
  return request({
    url: '/homepage/value',
    method: 'put',
    data: data
  })
}

export function delValue(valueId) {
  return request({
    url: '/homepage/value/' + valueId,
    method: 'delete'
  })
}
